<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<script src="../jquery-2.0.3.min.js"></script>
		
		<script src="../jquery.mobile-1.3.1.min.js"></script>
		<link rel="stylesheet" href="../jquery.mobile-1.3.1.min.css">
	
		<script>
			$(document).ready(function(){
				ResturanJsClass.startReadCoffeeShop("showFood1");
				$("#err").html("");
			});
			function showFood1(menu_list)
			{
				//var menu_list = "1,2,3,4,5|chai,ghahve,kik,morgh,tea|1000,2000,3000,4000,5000|3,4,5,6,7";
				var out = '<table style="width:100%;" cellspacing="0" >';
				if($.trim(menu_list)!='')
				{
					out += '<tr><td></td><td>نام/name</td><td>قيمت/cost</td><td>موجودی/available</td><td colspan="3" >تعداد سفارش/oreder count</td></tr>';
					var tmp = menu_list.split('|');
					var res = [];
					var tt=[];
					var tobj;
					tt = tmp[0].split(',');
					pp = tmp[1].split(',');
					jj = tmp[2].split(',');
					kk = tmp[3].split(',');
					for(var i=0;i<tmp[0].split(',').length;i++)
					{
						tobj={
							"id":tt[i],
							"name":pp[i],
							"cost":jj[i],
							"tedad":kk[i]
						};
						res.push(tobj);
					}
					for(j in res)
					{
						out+="<tr>";
						out+="<td>"+(parseInt(j,10)+1)+"</td>";
						out+="<td>"+res[j].name+"</td>";
						out+="<td>"+res[j].cost+"</td>";
						out+="<td>"+res[j].tedad+"</td>";
						//out+="<td><button data-theme='e' style='width:30px;' onclick='upval(\""+'sef_'+res[j].id+"\","+res[j].tedad+");' >+</button></td>";
						out+="<td><button class='btplus' id='bt_"+res[j].id+"_"+res[j].tedad+"_"+res[j].cost+"' >+</button></td>";
						out+="<td><input class='inp ui-input-text ui-body-e ui-corner-all ui-shadow-inset' style='width:60px;' id='sef_"+res[j].id+"_"+res[j].cost+"' type='text' value='0' ></td>";
						out+="<td><button class='btminius'  id='bt_"+res[j].id+"_"+res[j].tedad+"_"+res[j].cost+"' >-</button></td>";
						out+="</tr>";
					}
					out+="<tr><td colspan='7' ><button id='sabt' style='width:100%;' onclick='order_gh();' >سفارش/order</button></td></tr>";
					out+="</table>";
				}
				else
					out = 'ارتباط با سرور برقرار نمی باشد و یا هیچ کالایی موجود نیست';
				$("#res").html(out);
				
				$(".btplus").buttonMarkup({theme: "e"});
				$(".btminius").buttonMarkup({theme: "e"});
				$("#sabt").buttonMarkup({theme: "e"});
				
				$(".btplus").on("tap",function(){
					var tm =this.id.split("_");
					upval('sef_'+tm[1],tm[2],tm[3]);
				});
				$(".btminius").on("tap",function(){
					var tm =this.id.split("_");
					downval('sef_'+tm[1],tm[3]);
				});
			}
			function order_gh()
			{
				var oo = [];
				$.each($(".inp"),function(id,field){
					if(parseInt($(field).val(),10)>0)
						oo.push(field.id.split('_')[1],$(field).val(),field.id.split('_')[2]);
				});
				ResturanJsClass.startOrderCoffeeShop(JSON.stringify(oo),"orderCallBack");
			}
			function orderCallBack(bool)
			{
				if(bool=="true")
				{
					ResturanJsClass.showToast("ثبت با موفقيت انجام شد");
					$("#err").html("ثبت با موفقيت انجام شد");
				}
				else
				{
					$("#err").html("خطا در ثبت");
					ResturanJsClass.showToast("خطا در ثبت");
				}
			}
			function upval(id,tedad,cost)
			{
				var vv = parseInt($("#"+id+"_"+cost).val(),10);
				if(vv<parseInt(tedad,10))
				{
					vv++;
					$("#"+id+"_"+cost).val(vv);
				}
			}
			function downval(id,cost)
			{
				var vv = parseInt($("#"+id+"_"+cost).val(),10);
				if(vv>0)
				{
					vv--;
					$("#"+id+"_"+cost).val(vv);
				}
			}
			function consol(inp)
			{
				if(typeof ResturanJsClass == 'undefined')
					console.log(inp);
				else
					ResturanJsClass.showToast(String(inp));
			}
			function test()
			{
				$("#err").html("res="+ResturanJsClass.showError());
			}
		</script>
		<style>
			td{
				border-bottom:solid 1px #555;
				padding:5px;
			}
		</style>
	</head>
	<body dir="rtl" >
		<div id="res" ></div>
		<!--
		<button onclick='test();' >mehrdad</button>
		-->
		<div id="err" ></div>
	</body>
</html>
